[clamav-users] Installing ClamAV in Amazon Linux with yum

Mich Rodz 4mrodz at gmail.com
Sun May 15 12:20:05 EDT 2016


When we install ClamAV in our Amazon Linux ElasticBeanstalk instance
with 'yum install clamav' it gets installed *without* PCRE support,
although the libraries are present in the instance.

Invoking clamscan on a file issues this warnings:

LibClamAV Warning: cli_loadldb: logical signature for Win.Trojan.ssid18332-1
uses PCREs but support is disabled, skipping
LibClamAV Warning: cli_loadldb: logical signature for Win.Ransomware.Locky-4
uses PCREs but support is disabled, skipping
LibClamAV Warning: cli_loadldb: logical signature for
Html.Exploit.CVE_2016_0184-1
uses PCREs but support is disabled, skipping

However PCRE is installed in the machine:

># yum install pcre
>...
>Package pcre-8.21-7.7.amzn1.x86_64 already installed and latest version
>Nothing to do

Scanning is also very slow.

How can I force ClamAV to use/recognize the installed PCRE libraries
in my Elastic Beanstalk machine?

Thanks!



More information about the clamav-users mailing list